#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hie-compat
version:              0.1.0.0
visibility:           public
id:                   hie-compat-0.1.0.0-Iyak93ORrSIJb0Wdx6Y0mS
key:                  hie-compat-0.1.0.0-Iyak93ORrSIJb0Wdx6Y0mS
license:              Apache-2.0
maintainer:           zubin.duggal@gmail.com
author:               Zubin Duggal
synopsis:             HIE files for GHC 8.6 and other HIE file backports
description:
    Backports for HIE files to GHC 8.6, along with a few other backports
    of HIE file related fixes for ghcide.
    THIS DOES NOT LET YOU READ HIE FILES WITH MISMATCHED VERSIONS OF GHC

category:             Development
abi:                  6cfd90bc6bc1f7aad193fd4211bf8c8a
exposed:              True
exposed-modules:
    Compat.HieAst Compat.HieBin Compat.HieDebug Compat.HieTypes
    Compat.HieUtils

import-dirs:          /usr/lib/ghc-8.10.2/site-local/hie-compat-0.1.0.0
library-dirs:         /usr/lib/ghc-8.10.2/site-local/hie-compat-0.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/hie-compat-0.1.0.0
hs-libraries:         HShie-compat-0.1.0.0-Iyak93ORrSIJb0Wdx6Y0mS
depends:
    array-0.5.4.0 base-4.14.1.0 bytestring-0.10.10.0 containers-0.6.2.1
    directory-1.3.6.0 filepath-1.4.2.1 ghc-8.10.2 ghc-boot-8.10.2
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-hie-compat/html/hie-compat.haddock
haddock-html:         /usr/share/doc/haskell-hie-compat/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

